clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::BaseRecordInfo Struct Reference

`#include <Representation.h>`

Inheritance diagram for clang::doc::BaseRecordInfo:
[legend]
Collaboration diagram for clang::doc::BaseRecordInfo:
[legend]

## Public Member Functions
| BaseRecordInfo ()
| BaseRecordInfo (SymbolID USR, StringRef Name, StringRef Path, bool IsVirtual, AccessSpecifier Access, bool IsParent)
Public Member Functions inherited from clang::doc::RecordInfo
| RecordInfo ()
| RecordInfo (SymbolID USR)
| RecordInfo (SymbolID USR, StringRef Name)
| RecordInfo (SymbolID USR, StringRef Name, StringRef Path)
void | merge (RecordInfo &&I)
Public Member Functions inherited from clang::doc::SymbolInfo
| SymbolInfo (InfoType IT)
| SymbolInfo (InfoType IT, SymbolID USR)
| SymbolInfo (InfoType IT, SymbolID USR, StringRef Name)
| SymbolInfo (InfoType IT, SymbolID USR, StringRef Name, StringRef Path)
void | merge (SymbolInfo &&I)
Public Member Functions inherited from clang::doc::Info
| Info ()=default
| Info (InfoType IT)
| Info (InfoType IT, SymbolID USR)
| Info (InfoType IT, SymbolID USR, StringRef Name)
| Info (InfoType IT, SymbolID USR, StringRef Name, StringRef Path)
| Info (const Info &Other)=delete
| Info (Info &&Other)=default
virtual | ~Info ()=default
void | mergeBase (Info &&I)
bool | mergeable (const Info &Other)
llvm::SmallString< 16 > | extractName () const
llvm::Expected< Reference > | getEnclosingScope ()

## Public Attributes
bool | IsVirtual = false
AccessSpecifier | Access = AccessSpecifier::AS_public
bool | IsParent = false
Public Attributes inherited from clang::doc::RecordInfo
TagTypeKind | TagType = TagTypeKind::TTK_Struct
bool | IsTypeDef = false
llvm::SmallVector< MemberTypeInfo, 4 > | Members
llvm::SmallVector< Reference, 4 > | Parents
llvm::SmallVector< Reference, 4 > | VirtualParents
std::vector< BaseRecordInfo > | Bases
std::vector< Reference > | ChildRecords
std::vector< FunctionInfo > | ChildFunctions
std::vector< EnumInfo > | ChildEnums
Public Attributes inherited from clang::doc::SymbolInfo
llvm::Optional< Location > | DefLoc
llvm::SmallVector< Location, 2 > | Loc
Public Attributes inherited from clang::doc::Info
SymbolID | USR
const InfoType | IT = InfoType::IT_default
SmallString< 16 > | Name
llvm::SmallVector< Reference, 4 > | Namespace
std::vector< CommentInfo > | Description
llvm::SmallString< 128 > | Path

## Detailed Description

Definition at line 361 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ BaseRecordInfo() [1/2]

clang::doc::BaseRecordInfo::BaseRecordInfo | ( |  | ) |
| inline

Definition at line 362 of file Representation.h.

## ◆ BaseRecordInfo() [2/2]

clang::doc::BaseRecordInfo::BaseRecordInfo | ( | SymbolID | USR,
|  | StringRef | Name,
|  | StringRef | Path,
|  | bool | IsVirtual,
|  | AccessSpecifier | Access,
|  | bool | IsParent
| ) |  |
| inline

Definition at line 363 of file Representation.h.

## Member Data Documentation

## ◆ Access

AccessSpecifier clang::doc::BaseRecordInfo::Access = AccessSpecifier::AS_public

Definition at line 372 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), llvm::yaml::MappingTraits< BaseRecordInfo >::mapping(), and clang::doc::serialize::parseBases().

## ◆ IsParent

bool clang::doc::BaseRecordInfo::IsParent = false

Definition at line 373 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), and llvm::yaml::MappingTraits< BaseRecordInfo >::mapping().

## ◆ IsVirtual

bool clang::doc::BaseRecordInfo::IsVirtual = false

Definition at line 369 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), and llvm::yaml::MappingTraits< BaseRecordInfo >::mapping().

The documentation for this struct was generated from the following file:

- Representation.h